Page MenuHomePhabricator

Upload wizard drag and drop functionality is not obvious to users
Closed, ResolvedPublic

Description

In Special:UploadWizard the text 'Select a media file to share' doesn't specify that drag and drop feature is also present.

Maybe modify the message for this to 'Select or drop a media file to share'?


See also: T47657

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:14 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz45656.
bzimport added a subscriber: Unknown Object (MLST).

Is this something to do with Gerrit change 3808?

(In reply to comment #1)

Is this something to do with Gerrit change #3808?

Yes, I saw this later. that bug will fix this. Marking as assigned to you.

Change 3808 had a related patch set uploaded by Alex Monk:
Add HTML5 drag and drop support

https://gerrit.wikimedia.org/r/3808

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:39 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:39 PM
Tgr updated the task description. (Show Details)Oct 26 2015, 7:17 AM
Tgr set Security to None.

It is not obvious indeed. My little story:

Thinking using drag-and-drop would be more convenient than selecting files in Firefox's tiny Choose File dialog (and looking for a safer workflow after having lost my careful file selection several times because of hitting the 50 files limit), I tried dropping some pictures onto the UploadWizard, BUT that just replaced Firefox's URL with the local file:// URL to the file in the filesystem.
I concluded that drag-and-drop is not implemented yet, and (where 99% of the users would have given up) I decided to create a Phabricator issue asking for it. Then I found this ticket.

So, for those in my case: For drag-and-drop to work, you have to drop the images EXACTLY on the blue button (either "Select media files to share" or "Add more files"). Cheers!

Change 631852 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/UploadWizard@master] WIP: Use SelectFileWidget's showDropTarget

https://gerrit.wikimedia.org/r/631852

From above patch
First selection of files:

Additional files:

Change 631841 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] SelectFileWidget: Allow using showDropTarget=true with multiple=true

https://gerrit.wikimedia.org/r/631841

WIP Demo (only allows one file at a time)

https://patchdemo.wmflabs.org/wikis/1bacfaa37d809c914e89390379347b2b/w/index.php/Special:UploadWizard

user 'Patch Demo', password 'patchdemo1'

Change 631841 merged by jenkins-bot:
[oojs/ui@master] SelectFileWidget: Allow using showDropTarget=true with multiple=true

https://gerrit.wikimedia.org/r/631841

@Esanders In the additional files view:

  • The button should not be primary progressive, only progressive, if there's a secondary equally important action “Add more images from Flickr"
  • I'd suggest putting the second button underneath and make the drop target bigger.

Change 632805 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.40.4

https://gerrit.wikimedia.org/r/632805

Change 632805 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.40.4

https://gerrit.wikimedia.org/r/632805

@Esanders In the additional files view:

  • The button should not be primary progressive, only progressive, if there's a secondary equally important action “Add more images from Flickr"

That should be done in a follow up, the current patch doesn't change the existing buttons.

  • I'd suggest putting the second button underneath and make the drop target bigger.

That could be redesigned, but I wanted this also to be a minimal change from the status quo, and these two buttons are current inline:

beforeafter

Change 631852 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Use SelectFileWidget's showDropTarget

https://gerrit.wikimedia.org/r/631852

matmarex closed this task as Resolved.Jan 27 2021, 12:18 PM
matmarex assigned this task to Esanders.
matmarex removed a project: Patch-For-Review.